Tripnet - Major Live Issue #69574

Cancellation policy amount displayed as wrong

07/01/2019 09:21 am - Maneesh V

Status: Fixed in Live Start date: 07/01/2019
Priority: High Due date: 07/03/2019
Assignee: Vinu Tomy % Done: 60%
Category: Functionality Estimated time: 0.00 hour
Target version: Spent time: 14.50 hours
DB Changes: nill Files Changed: nill

Keys & Permissions: nill Initial Planned Hours: 0

Areas Affected: nill

Description

Cancellation policy amount displayed as wrong,

From Provider Response :

cancellationPolicies>
<CancellationPolicy>
<amount>2935.49</amount>
<hotelAmount>0</hotelAmount>
<from>2019-06-29T19:59:00+03:00</from>
</CancellationPolicy>
</cancellationPolicies>

The provider currency is "AED' and the conversion rate is 0.085.
So the cancellation policy amount should be 249.51665 KWD.
But in our end we displayed the cancellation policy maount as KWD 1053.958.

Please correct it.
Attached screenshot and logs for ref.

History

#1 - 07/01/2019 11:52 am - Linto V

- Due date set to 07/01/2019

- Status changed from New to Assigned
- Assignee set to Vinu Tomy

#2 - 07/01/2019 12:00 pm - Vinu Tomy
- Status changed from Assigned to In Progress

#3 - 07/01/2019 05:08 pm - Vinu Tomy
- % Done changed from 0 to 50

Checked with local db and last live solution not able to find issue.Requested for live db.But live db details not received will be updated issue when db

receive.

#4 - 07/02/2019 09:11 am - Linto V
- Due date changed from 07/01/2019 to 07/02/2019
#5 - 07/02/2019 06:36 pm - Vinu Tomy

Checked with different scenario with live db and solution not able to reproduce issue

#6 - 07/03/2019 08:48 am - Linto V
- Due date changed from 07/02/2019 to 07/03/2019

#7 - 07/03/2019 01:09 pm - Vinu Tomy

- Status changed from In Progress to For Review

- Assignee changed from Vinu Tomy to Maneesh V
- % Done changed from 50 to 60

- DB Changes set to nill

- Keys & Permissions set to nill

- Areas Affected set to nill

- Files Changed set to nill

Checked issue in different scenario.But not able to get the issue and scenario.Checked while assembling cancellation policy amount from response in
provider but its is correctly assembled.They given 2% markup for hotel and apply it for cancellation amount too checked apply markup amount in
cancellation policy its applied correctly.In room details page its showing correctly with markup amount.While booking initial saving also cancellation
amount saving correctly.After booking saving also correctly.While booking response cancellation policy may change it also updated correctly in db.In
tgr we are taking from db and so what saved is showing there.In response here getting in EUR but checked with AED while changing response

currency while assembling.But conversion correct.

So please specify any scenario so that we can reproduce issue.

#8 - 07/05/2019 04:20 pm - Vyshakh A B
- Status changed from For Review to Fixed in Live
- Assignee changed from Maneesh V to Vinu Tomy

issue Fixed .Please check in 100

Files
Screenshot (339).png 254 KB 07/01/2019 Maneesh V
HotelbedsApitude.zip 237 KB 07/01/2019 Maneesh V
